ProjectHelper2 (Apache Ant API)
Keywords: org.apache.tools.ant.helper.ProjectHelper2 class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.helper
Class ProjectHelper2

    java.lang.Object
      org.apache.tools.ant.ProjectHelper
          org.apache.tools.ant.helper.ProjectHelper2

    public class ProjectHelper2

extends ProjectHelper

Sax2 based project reader

Nested Class Summary
`static class` | `ProjectHelper2.AntHandler` The common superclass for all SAX event handlers used to parse the configuration file.
`static class` | `ProjectHelper2.ElementHandler` Handler for all project elements ( tasks, data types )
`static class` | `ProjectHelper2.MainHandler` The main handler - it handles the <project> tag.
`static class` | `ProjectHelper2.ProjectHandler` Handler for the top level "project" element.
`static class` | `ProjectHelper2.RootHandler` Handler for ant processing.
`static class` | `ProjectHelper2.TargetHandler` Handler for "target" elements.

Field Summary

Fields inherited from class org.apache.tools.ant.ProjectHelper
`ANT_CORE_URI, ANT_CURRENT_URI, ANT_TYPE, ANTLIB_URI, HELPER_PROPERTY, PROJECTHELPER_REFERENCE, SERVICE_ID`

Constructor Summary
`ProjectHelper2()`

Method Summary
`protected static ProjectHelper2.AntHandler` | `getElementHandler()` Returns element handler
`protected static ProjectHelper2.AntHandler` | `getMainHandler()` Returns main handler
`protected static ProjectHelper2.AntHandler` | `getProjectHandler()` Returns project handler
`protected static ProjectHelper2.AntHandler` | `getTargetHandler()` Returns target handler
`void` | `parse(Project project, java.lang.Object source)` Parse a source xml input.
`void` | `parse(Project project, java.lang.Object source, ProjectHelper2.RootHandler handler)` Parses the project file, configuring the project as it goes.
`UnknownElement` | `parseUnknownElement(Project project, java.net.URL source)` Parse an unknown element from a url
`protected static void` | `setElementHandler(ProjectHelper2.AntHandler handler)` Sets element handler
`protected static void` | `setMainHandler(ProjectHelper2.AntHandler handler)` Sets main handler
`protected static void` | `setProjectHandler(ProjectHelper2.AntHandler handler)` Sets project handler
`protected static void` | `setTargetHandler(ProjectHelper2.AntHandler handler)` Sets target handler

Methods inherited from class org.apache.tools.ant.ProjectHelper
`addLocationToBuildException, addText, addText, configure, configureProject, extractNameFromComponentName, extractUriFromComponentName, genComponentName, getContextClassLoader, getImportStack, getProjectHelper, parsePropertyString, replaceProperties, replaceProperties, storeChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProjectHelper2

    public ProjectHelper2()

Method Detail

### parseUnknownElement

    public UnknownElement parseUnknownElement(Project project,
                                              java.net.URL source)
                                       throws BuildException

  Parse an unknown element from a url

  Parameters:
    `project` - the current project
    `source` - the url containing the task
  Returns:
    a configured task
  Throws:
    `BuildException` - if an error occurs

### parse

    public void parse(Project project,
                      java.lang.Object source)
               throws BuildException

  Parse a source xml input.

  Overrides:
    `parse` in class `ProjectHelper`
  Parameters:
    `project` - the current project
    `source` - the xml source
  Throws:
    `BuildException` - if an error occurs

### parse

    public void parse(Project project,
                      java.lang.Object source,
                      ProjectHelper2.RootHandler handler)
               throws BuildException

  Parses the project file, configuring the project as it goes.

  Parameters:
    `project` - the current project
    `source` - the xml source
    `handler` - the root handler to use (contains the current context)
  Throws:
    `BuildException` - if the configuration is invalid or cannot be read

### getMainHandler

    protected static ProjectHelper2.AntHandler getMainHandler()

  Returns main handler

  Returns:
    main handler

### setMainHandler

    protected static void setMainHandler(ProjectHelper2.AntHandler handler)

  Sets main handler

  Parameters:
    `handler` - new main handler

### getProjectHandler

    protected static ProjectHelper2.AntHandler getProjectHandler()

  Returns project handler

  Returns:
    project handler

### setProjectHandler

    protected static void setProjectHandler(ProjectHelper2.AntHandler handler)

  Sets project handler

  Parameters:
    `handler` - new project handler

### getTargetHandler

    protected static ProjectHelper2.AntHandler getTargetHandler()

  Returns target handler

  Returns:
    target handler

### setTargetHandler

    protected static void setTargetHandler(ProjectHelper2.AntHandler handler)

  Sets target handler

  Parameters:
    `handler` - new target handler

### getElementHandler

    protected static ProjectHelper2.AntHandler getElementHandler()

  Returns element handler

  Returns:
    element handler

### setElementHandler

    protected static void setElementHandler(ProjectHelper2.AntHandler handler)

  Sets element handler

  Parameters:
    `handler` - new element handler

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD